// ANCHOR: here
trait Pilot {
    fn fly(&self);
}

trait Wizard {
    fn fly(&self);
}

struct Human;

impl Pilot for Human {
    fn fly(&self) {
        println!("Mówi wasz kapitan.");
    }
}

impl Wizard for Human {
    fn fly(&self) {
        println!("W górę!");
    }
}

impl Human {
    fn fly(&self) {
        println!("*wściekle macha rękami*");
    }
}
// ANCHOR_END: here

fn main() {}
